package pxds.apch.ldfl.lijc

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query

@Dao
interface Iobc {

    @Query("SELECT * FROM Noticationt")
    fun getAll(): LiveData<List<Kwiv>>

    @Insert
    fun insert(history: Kwiv)

    @Delete
    fun delete(it: Kwiv)

    @Query("DELETE FROM Noticationt")
    fun deleteAll()
}